> ## Documentation Index
> Fetch the complete documentation index at: https://docs.endaoment.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the status of a missing org report



## OpenAPI

````yaml https://api.endaoment.org/oas-json patch /v1/missing-org-reports/{id}/status
openapi: 3.0.0
info:
  title: Endaoment API
  description: >-
    The official Endaoment API endpoints. Dev (canary) = newest features;
    Staging (stable) = pre-production.
  version: 0.0.1
  contact: {}
servers:
  - url: https://api.endaoment.org
    description: Production
security: []
tags: []
paths:
  /v1/missing-org-reports/{id}/status:
    patch:
      tags:
        - Missing Org Reports
      summary: Update the status of a missing org report
      operationId: MissingOrgReportController_updateReportStatus
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateMissingOrgReportStatusDto'
      responses:
        '204':
          description: ''
components:
  schemas:
    UpdateMissingOrgReportStatusDto:
      type: object
      properties:
        status:
          type: string
          description: Target status for the report
          enum:
            - approved
            - rejected
          example: approved
        resolvedOrgId:
          type: string
          description: Resolved org UUID. Required when status is approved
          example: 550e8400-e29b-41d4-a716-446655440002
        rejectionReason:
          type: string
          description: Free-text rejection reason. Required when status is rejected
          example: Insufficient documentation to verify eligibility
      required:
        - status

````